/// <reference types="@angular/localize" />

import { bootstrapApplication } from '@angular/platform-browser';
import { appConfig, initConfig } from './app/app.config';
import { AppComponent } from './app/_shared/app.component';
import { appInit } from './app/_shared/utils/appInit';

appInit().then(() => {
  initConfig();
  bootstrapApplication(AppComponent, appConfig)
    .catch((err) => console.error(err));
})

String.prototype.insert = function (start: number, newSubStr: string) {
  return this.slice(0, start) + newSubStr + this.slice(start);
};
